<?php
/***************************************************************************
 * Xlrstats Webmodule
 * Webfront for XLRstats for B3 (www.bigbrotherbot.com)
 * (c) 2004-2009 www.xlr8or.com (mailto:xlr8or@xlr8or.com)
 ***************************************************************************/

/***************************************************************************
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  http://www.gnu.org/copyleft/gpl.html
 ***************************************************************************/

$clientsRed  = array();
$clientsBlue  = array();
$clientsSpec  = array();
$supportedgames = array('cod', 'coduo', 'cod2', 'cod4', 'iourt41', 'wop'); // B3 parsernames
$ffa_modes = array('dm', 'ffa', 'syc-ffa');

$sv_privateClients = 0;
$gameType = "";
$mapName = "";
$sv_maxclients = 0;
$shortversion = 0;
$sv_hostname = "";


function baselink()
{
  return $_SERVER['PHP_SELF'];
}

function pathlink($pop=0)
{
  $ptemp = explode("/", GetFileDir($_SERVER['PHP_SELF']));
  //array_shift($ptemp);
  array_pop($ptemp);
  while ($pop > 0)
  {
    array_pop($ptemp);
    $pop--;
  }
  return implode("/", $ptemp)."/";
}

function httplink($pop=0)
{
  $ptemp = explode("/", GetFileDir($_SERVER['PHP_SELF']));
  //array_shift($ptemp);
  array_pop($ptemp);
  while ($pop > 0)
  {
    array_pop($ptemp);
    $pop--;
  }
  return "http://".$_SERVER['HTTP_HOST'].implode("/", $ptemp)."/";
}

function getvisitorip()
{
  // Get the visitors IP address
  return $_SERVER['REMOTE_ADDR']; 
}

// My own function for neutralizing harmful input
function escape_string($data)
{
  $patterns[0] = "/\"/";
  $patterns[1] = "/\'/";
  $patterns[2] = "/\n/";
  $patterns[3] = "/\r/";
  $patterns[4] = "/%/";
  $patterns[5] = "/_/";

  $replacements[0]= "\\\"";
  $replacements[1] = "\\\'";
  $replacements[2] = "\\n";
  $replacements[3]= "\\r";
  $replacements[4] = "\\%'";
  $replacements[5] = "\\_";

  ksort($patterns);
  ksort($replacements);

  return preg_replace($patterns, $replacements, $data);
}

function getCurrentMapName($servstatus)
{
  $pattern  = "/map: ([A-Za-z]{2}_[A-Za-z]+)/";
  $arraynum = preg_match($pattern, $servstatus, $stat);
  if($arraynum > 0)
  {
      $map = preg_replace ("/map: /", "", $stat[0]);
      return $map;
  }
  else 
  {
      return "n/a";
  }
}

function utf2iso($tekst)
{                                        
  $nowytekst = str_replace("%u0104","\xA1",$tekst);    //
  $nowytekst = str_replace("%u0106","\xC6",$nowytekst);    //
  $nowytekst = str_replace("%u0118","\xCA",$nowytekst);    //
  $nowytekst = str_replace("%u0141","\xA3",$nowytekst);    //
  $nowytekst = str_replace("%u0143","\xD1",$nowytekst);    //
  $nowytekst = str_replace("%u00D3","\xD3",$nowytekst);    //
  $nowytekst = str_replace("%u015A","\xA6",$nowytekst);    //
  $nowytekst = str_replace("%u0179","\xAC",$nowytekst);    //
  $nowytekst = str_replace("%u017B","\xAF",$nowytekst);    //

  $nowytekst = str_replace("%u0105","\xB1",$nowytekst);    //
  $nowytekst = str_replace("%u0107","\xE6",$nowytekst);    //
  $nowytekst = str_replace("%u0119","\xEA",$nowytekst);    //
  $nowytekst = str_replace("%u0142","\xB3",$nowytekst);    //
  $nowytekst = str_replace("%u0144","\xF1",$nowytekst);    //
  $nowytekst = str_replace("%u00D4","\xF3",$nowytekst);    //
  $nowytekst = str_replace("%u015B","\xB6",$nowytekst);    //
  $nowytekst = str_replace("%u017A","\xBC",$nowytekst);    //
  $nowytekst = str_replace("%u017C","\xBF",$nowytekst);    //

  $nowytekst = str_replace("%3c","<",$nowytekst);    //
  $nowytekst = str_replace("%3e",">",$nowytekst);    //
  $nowytekst = str_replace("%26","&",$nowytekst);    //


  return ($nowytekst);
}

function utf16_2_utf8 ($nowytekst) 
{
  $nowytekst = str_replace('','%u0104',$nowytekst);    //
  $nowytekst = str_replace('','%u0106',$nowytekst);    //
  $nowytekst = str_replace('','%u0118',$nowytekst);    //
  $nowytekst = str_replace('','%u0141',$nowytekst);    //
  $nowytekst = str_replace('','%u0143',$nowytekst);    //
  $nowytekst = str_replace('','%u00D3',$nowytekst);    //
  $nowytekst = str_replace('','%u015A',$nowytekst);    //
  $nowytekst = str_replace('','%u0179',$nowytekst);    //
  $nowytekst = str_replace('','%u017B',$nowytekst);    //

  $nowytekst = str_replace('','%u0105',$nowytekst);    //
  $nowytekst = str_replace('','%u0107',$nowytekst);    //
  $nowytekst = str_replace('','%u0119',$nowytekst);    //
  $nowytekst = str_replace('','%u0142',$nowytekst);    //
  $nowytekst = str_replace('','%u0144',$nowytekst);    //
  $nowytekst = str_replace('','%u00F3',$nowytekst);    //
  $nowytekst = str_replace('','%u015B',$nowytekst);    //
  $nowytekst = str_replace('','%u017A',$nowytekst);    //
  $nowytekst = str_replace('','%u017C',$nowytekst);    //

  return ($nowytekst);
} 

// credit: http://sourceforge.net/projects/phgstats/
function quake3color($text) {
	$clr = array ( // colors
	"\"#000000\"", "\"#DA0120\"", "\"#00B906\"", "\"#E8FF19\"", //  1
	"\"#170BDB\"", "\"#23C2C6\"", "\"#E201DB\"", "\"#FFFFFF\"", //  2
	"\"#CA7C27\"", "\"#757575\"", "\"#EB9F53\"", "\"#106F59\"", //  3
	"\"#5A134F\"", "\"#035AFF\"", "\"#681EA7\"", "\"#5097C1\"", //  4
	"\"#BEDAC4\"", "\"#024D2C\"", "\"#7D081B\"", "\"#90243E\"", //  5
	"\"#743313\"", "\"#A7905E\"", "\"#555C26\"", "\"#AEAC97\"", //  6
	"\"#C0BF7F\"", "\"#000000\"", "\"#DA0120\"", "\"#00B906\"", //  7
	"\"#E8FF19\"", "\"#170BDB\"", "\"#23C2C6\"", "\"#E201DB\"", //  8
	"\"#FFFFFF\"", "\"#CA7C27\"", "\"#757575\"", "\"#CC8034\"", //  9
	"\"#DBDF70\"", "\"#BBBBBB\"", "\"#747228\"", "\"#993400\"", // 10
	"\"#670504\"", "\"#623307\""                                // 11
	);

	$replace = array (
	"&<font color=$clr[0]>", "&<font color=$clr[1]>",   //  1
	"&<font color=$clr[2]>", "&<font color=$clr[3]>",   //  2
	"&<font color=$clr[4]>", "&<font color=$clr[5]>",   //  3
	"&<font color=$clr[6]>", "&<font color=$clr[7]>",   //  4
	"&<font color=$clr[8]>", "&<font color=$clr[9]>",   //  5
	"&<font color=$clr[10]>", "&<font color=$clr[11]>", //  6
	"&<font color=$clr[12]>", "&<font color=$clr[13]>", //  7
	"&<font color=$clr[14]>", "&<font color=$clr[15]>", //  8
	"&<font color=$clr[16]>", "&<font color=$clr[17]>", //  9
	"&<font color=$clr[18]>", "&<font color=$clr[19]>", // 10
	"&<font color=$clr[20]>", "&<font color=$clr[21]>", // 11
	"&<font color=$clr[22]>", "&<font color=$clr[23]>", // 12
	"&<font color=$clr[24]>", "&<font color=$clr[25]>", // 13
	"&<font color=$clr[26]>", "&<font color=$clr[27]>", // 14
	"&<font color=$clr[28]>", "&<font color=$clr[29]>", // 15
	"&<font color=$clr[30]>", "&<font color=$clr[31]>", // 16
	"&<font color=$clr[32]>", "&<font color=$clr[33]>", // 17
	"&<font color=$clr[34]>", "&<font color=$clr[35]>", // 18
	"&<font color=$clr[36]>", "&<font color=$clr[37]>", // 19
	"&<font color=$clr[38]>", "&<font color=$clr[39]>", // 20
	"&<font color=$clr[40]>", "&<font color=$clr[41]>", // 21
	"", "", "", "", "", "",                             // 22
	"", "</font><", "\$1"                               // 23
	);

	$search  = array (
	"/\^0/", "/\^1/", "/\^2/", "/\^3/",        //  1
	"/\^4/", "/\^5/", "/\^6/", "/\^7/",        //  2
	"/\^8/", "/\^9/", "/\^a/", "/\^b/",        //  3
	"/\^c/", "/\^d/", "/\^e/", "/\^f/",        //  4
	"/\^g/", "/\^h/", "/\^i/", "/\^j/",        //  5
	"/\^k/", "/\^l/", "/\^m/", "/\^n/",        //  6
	"/\^o/", "/\^p/", "/\^q/", "/\^r/",        //  7
	"/\^s/", "/\^t/", "/\^u/", "/\^v/",        //  8
	"/\^w/", "/\^x/", "/\^y/", "/\^z/",        //  9
	"/\^\//", "/\^\*/", "/\^\-/", "/\^\+/",    // 10
	"/\^\?/", "/\^\@/", "/\^</", "/\^>/",      // 11
	"/\^\&/", "/\^\)/", "/\^\(/", "/\^[A-Z]/", // 12
	"/\^\_/",                                  // 14
	"/&</", "/^(.*?)<\/font>/"                 // 15
	);
	$ctext = preg_replace($search, $replace, $text);

	if ($ctext != $text)
	{
		$ctext = preg_replace("/$/", "</font>", $ctext);
		$ctext = preg_replace("/<font color=\"#[0-9A-F]{6}\"><\/font>/", "", $ctext);
	}
	return $ctext;
}

function removequake3color($text) {
	$search  = array (
	"/\^0/", "/\^1/", "/\^2/", "/\^3/",        //  1
	"/\^4/", "/\^5/", "/\^6/", "/\^7/",        //  2
	"/\^8/", "/\^9/", "/\^a/", "/\^b/",        //  3
	"/\^c/", "/\^d/", "/\^e/", "/\^f/",        //  4
	"/\^g/", "/\^h/", "/\^i/", "/\^j/",        //  5
	"/\^k/", "/\^l/", "/\^m/", "/\^n/",        //  6
	"/\^o/", "/\^p/", "/\^q/", "/\^r/",        //  7
	"/\^s/", "/\^t/", "/\^u/", "/\^v/",        //  8
	"/\^w/", "/\^x/", "/\^y/", "/\^z/",        //  9
	"/\^\//", "/\^\*/", "/\^\-/", "/\^\+/",    // 10
	"/\^\?/", "/\^\@/", "/\^</", "/\^>/",      // 11
	"/\^\&/", "/\^\)/", "/\^\(/", "/\^[A-Z]/", // 12
	"/\^\_/",                                  // 14
	"/&</", "/^(.*?)<\/font>/"                 // 15
	);
	$ctext = preg_replace($search, "", $text);
	return $ctext;
}

function cmp($a, $b)
{
    // it must be inverted 
	if(($a -> score) >  ($b -> score))
		return -1;
	if(($a -> score) <  ($b -> score))
		return 1;
	if(($a -> score) ==  ($b -> score))
		return 0;
}


// Welcometext acting as an introduction on the Main index of xlrstats
function welcometext()
{
  global $currentconfig;
  include($currentconfig);

  $link = baselink();
  global $coddb;
  global $separatorline;
  global $t;  //table names
  global $a_name;  //award names 
  global $a_desc;  //award descriptions
  global $w;
  global $minkills;
  global $minrounds;
  global $bp_head;
  
  // test if the status file exists
  $fp = @fopen($b3_status_url, "r");
  if (!@fread($fp, 4096))
    return;
  
  // load data from settings.xml
  loadData();	  

  $query = "SELECT SUM( kills ) AS kills FROM ${t['players']} WHERE 1";


  $result = $coddb->sql_query($query);
  $row = $coddb->sql_fetchrow($result);
  $kills = $row['kills']; 

  $result = null;
  $row = null;

  $query = "SELECT SUM(kills) as kills FROM ${t['playerbody']} WHERE bodypart_id IN $bp_head";
  $result = $coddb->sql_query($query);
  $row = $coddb->sql_fetchrow($result);
  $headshots = $row['kills']; 

  $result = null;
  $row = null;

  $hpk = 0;

  if ($kills>0)
      $hpk = sprintf("%.4f", ($headshots/$kills));
  else  
      $hpk = sprintf("%.4f", 0); 	


  $query = "SELECT SUM( rounds ) AS rounds FROM ${t['maps']} WHERE 1 ";

  $result = $coddb->sql_query($query);
  $row = $coddb->sql_fetchrow($result);
  $rounds = $row['rounds']; 

  $result = null;
  $row = null;	  

  $query = " SELECT count( client_id ) AS players FROM ${t['players']} WHERE 1";

  $result = $coddb->sql_query($query);
  $row = $coddb->sql_fetchrow($result);
  $players = $row['players']; 

  $result = null;
  $row = null;	   

  //$statusgame = htmlspecialchars( rcon("status"));

  //$currentmap = getCurrentMapName($statusgame);

  global $clientsRed;
  global $clientsBlue;
  global $clientsSpec;  

  global $sv_hostname;
  global $sv_privateClients;
  global $gameType;
  global $mapName;
  global $sv_maxclients;
  global $shortversion;


  $result = null;
  $row = null;	

  $curnumplayers = (count($clientsBlue) + count($clientsRed) + count($clientsSpec));
  $currentmap = $mapName;

  $maxPlayers = $sv_maxclients - $sv_privateClients;

  // Replace the mapname with a friendly name
  if (isset($m[$currentmap]))
    $currentmap = $m[$currentmap];

  $today = date('l jS \of F Y h:i:s A');
echo "<table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"0\" class=\"outertable\"><tr><td align=\"center\">Welcome to our statspages&nbsp;&nbsp;&nbsp;<span class=\"tiny\">($today)</span></td></tr>
      <tr>
      <td>
        <table align=\"center\" bgcolor=\"#99aaaa\" border=\"0\" cellpadding=\"2\" cellspacing=\"1\" width=\"100%\">
      	<tr bgcolor=\"#cccccc\" valign=\"bottom\">
      		<td style=\"padding: 4px;\" width=\"37%\">
            <table width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">
            <tr><td><font class=\"fontSmall\" size=\"1\"><font color=\"#000000\">&nbsp;Server</font></font></td>
            <td><div align=\"right\">
    ";
      echo gamelauncher('xfire');
      echo gamelauncher('qtracker');
      echo gamelauncher('gsc');
      echo gamelauncher('hlsw');
      
      echo "
      </div></td><tr></table>
      </td>
  		<td style=\"padding: 4px;\" width=\"18%\"><font class=\"fontSmall\" size=\"1\"><font color=\"#000000\">&nbsp;Address</font></font></td>
  		<td style=\"padding: 4px;\" align=\"center\" width=\"14%\"><font class=\"fontSmall\" size=\"1\"><font color=\"#000000\">&nbsp;Map</font></font></td>
  		<td style=\"padding: 4px;\" align=\"center\" width=\"10%\"><font class=\"fontSmall\" size=\"1\"><font color=\"#000000\">&nbsp;Playing</font></font></td>
  		<td style=\"padding: 4px;\" align=\"center\" width=\"7%\"><font class=\"fontSmall\" size=\"1\"><font color=\"#000000\">&nbsp;Rounds</font></font></td>
  		<td style=\"padding: 4px;\" align=\"center\" width=\"10%\"><font class=\"fontSmall\" size=\"1\"><font color=\"#000000\">&nbsp;Players</font></font></td>
  		<td style=\"padding: 4px;\" align=\"center\" width=\"6%\"><font class=\"fontSmall\" size=\"1\"><font color=\"#000000\">&nbsp;Killed</font></font></td>
  		<td style=\"padding: 4px;\" align=\"center\" width=\"6%\"><font class=\"fontSmall\" size=\"1\"><font color=\"#000000\">&nbsp;Headshots</font></font></td>
  		<td style=\"padding: 4px;\" align=\"center\" width=\"6%\"><font class=\"fontSmall\" size=\"1\"><font color=\"#000000\">&nbsp;Hpk</font></font></td>
  	</tr>
  	<tr bgcolor=\"#cccccf\" valign=\"middle\">
  		<td style=\"background: white none repeat scroll 0% 0%; -moz-background-clip: -moz-initial; -moz-background-origin: -moz-initial; -moz-background-inline-policy: -moz-initial; color: black;\" align=\"left\"><font class=\"fontNormal\" size=\"2\"><img style=\"vertical-align: middle;\" src=\"images/ico/icon_$game.gif\">&nbsp;<b><a class=info  href=\"#\">$sv_hostname<span>Server version: $shortversion</span></a></b></font></td>
    	<td style=\"background: white none repeat scroll 0% 0%; -moz-background-clip: -moz-initial; -moz-background-origin: -moz-initial; -moz-background-inline-policy: -moz-initial; color: black;\" align=\"left\"><font class=\"fontNormal\" size=\"2\">$public_ip</font></td>
    	<td style=\"background: white none repeat scroll 0% 0%; -moz-background-clip: -moz-initial; -moz-background-origin: -moz-initial; -moz-background-inline-policy: -moz-initial; color: black;\" align=\"center\"><font class=\"fontNormal\" size=\"2\">$currentmap ($gameType)</font></td>
    	<td style=\"background: white none repeat scroll 0% 0%; -moz-background-clip: -moz-initial; -moz-background-origin: -moz-initial; -moz-background-inline-policy: -moz-initial; color: black;\" align=\"center\"><font class=\"fontNormal\" size=\"2\">$curnumplayers/$maxPlayers ($sv_maxclients)</font></td>
    	<td style=\"background: white none repeat scroll 0% 0%; -moz-background-clip: -moz-initial; -moz-background-origin: -moz-initial; -moz-background-inline-policy: -moz-initial; color: black;\" align=\"center\"><font class=\"fontNormal\" size=\"2\">$rounds</font></td>
    	<td style=\"background: white none repeat scroll 0% 0%; -moz-background-clip: -moz-initial; -moz-background-origin: -moz-initial; -moz-background-inline-policy: -moz-initial; color: black;\" align=\"center\"><font class=\"fontNormal\" size=\"2\">$players</font></td>
    	<td style=\"background: white none repeat scroll 0% 0%; -moz-background-clip: -moz-initial; -moz-background-origin: -moz-initial; -moz-background-inline-policy: -moz-initial; color: black;\" align=\"center\"><font class=\"fontNormal\" size=\"2\">$kills</font></td>
    	<td style=\"background: white none repeat scroll 0% 0%; -moz-background-clip: -moz-initial; -moz-background-origin: -moz-initial; -moz-background-inline-policy: -moz-initial; color: black;\" align=\"center\"><font class=\"fontNormal\" size=\"2\">$headshots</font></td>
    	<td style=\"background: white none repeat scroll 0% 0%; -moz-background-clip: -moz-initial; -moz-background-origin: -moz-initial; -moz-background-inline-policy: -moz-initial; color: black;\" align=\"center\"><font class=\"fontNormal\" size=\"2\">$hpk</font></td>
  	</tr>
   </table> 
 </td>
 </tr>
 </table>
      ";
}

function gamelauncher($type)
{
  global $currentconfig;
  include($currentconfig);

  if ($type == 'xfire')
  {
    if ($game == 'cod1') $tgame = 'codmp';
    if ($game == 'coduo') $tgame = 'coduomp';
    if ($game == 'cod2') $tgame = 'cod2mp';
    if ($game == 'cod4') $tgame = 'cod4mp';
    if ($game == 'codwaw') $tgame = 'codwawmp';
    if ($game == 'urt') $tgame = 'utq3';
    if ($game == 'q3a') $tgame = 'q3';    
    if ($game == 'wop') $tgame = 'wopad';    
    $link = ' <a href="xfire:join?game='.$tgame.'&amp;server='.$public_ip.'"><img src="images/ico/icon_xfire.jpg" title="Connect with xfire" alt="xfire" width="16" height="16" border="0" align="absmiddle" id="xfire" /></a>'; 
  }
  elseif ($type == 'qtracker')
  {
    if ($game == 'cod1') $tgame = 'CallOfDuty';
    if ($game == 'coduo') $tgame = 'CallOfDutyUnitedOffensive';
    if ($game == 'cod2') $tgame = 'CallOfDuty2';
    if ($game == 'cod4') $tgame = 'CallOfDuty4';
    if ($game == 'codwaw') $tgame = 'CallOfDutyWorldAtWar';
    if ($game == 'urt') $tgame = 'UrbanTerror';
    if ($game == 'q3a') $tgame = 'Quake3';    
    if ($game == 'wop') $tgame = 'WorldOfPadman';    
    $link = ' <a href="qtracker://'.$public_ip.'/?game='.$tgame.'&action=join"><img src="images/ico/icon_qtracker.jpg" title="Connect with qtracker" alt="qtracker" width="16" height="16" border="0" align="absmiddle" id="qtracker" /></a>';
  }
  elseif ($type == 'hlsw')
  {
    $link = ' <a href="hlsw://'.$public_ip.'"><img src="images/ico/icon_hlsw.jpg" title="hlsw" alt="hlsw" width="16" height="16" border="0" align="absmiddle" id="hlsw" /></a>';
  }
  elseif ($type == 'gsc')
  {
    if ($game == 'cod1') $tgame = 'cod';
    if ($game == 'coduo') $tgame = 'uo';
    if ($game == 'cod2') $tgame = 'cod2';
    if ($game == 'cod4') $tgame = 'cod4';
    if ($game == 'codwaw') $tgame = 'codww';
    if ($game == 'urt') $tgame = 'urbanterror';
    if ($game == 'q3a') $tgame = 'q3';    
    if ($game == 'wop') $tgame = 'wop';    
    $temp = split(":", $public_ip);
    $link = ' <a href="gsc://joinGame:game='.$tgame.'&ip='.$temp[0].'&port='.$temp[1].'"><img src="images/ico/icon_gsc.jpg" title="Connect with gsc" alt="gsc" width="16" height="16" border="0" align="absmiddle" id="gsc" /></a>';
  }
  return $link;
}


// These 4 functions open a table with width $twidth and a row to contain cells of the function opencell
function opentablerow($twidth)
{
	echo "<table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"0\" class=\"outertable\"><tr>";
}

function closetablerow()
{
	echo "</tr></table>";
}

function opentablecell($cwidth)
{
  echo "<td width=\"$cwidth%\" class=\"innertable\">";
}

function closetablecell()
{
	echo "</td>";
}

// This function emits a description for the specified weapon/map
function get_desc($name)
{
  global $module_name;   
  $path = "desc/$name.txt";

  if ( file_exists("$path") )
    readfile($path);
  else
  {
    $path = "desc/".dirname($name)."/nodesc.txt";
    if ( file_exists("$path") )
      readfile($path);
    else
      echo "No description available.";
  }
}

// This function emits a <img /> tag for the specified image
// It finds out itself if the imqage is png, jpg or gif
function get_pic($name, $recurse = 1)
{
  global $module_name;   
  $basepath = "$name";

  if ( file_exists("$basepath.png") )
    echo "<img src=\"$basepath.png\" class=\"images\" />";
  else if ( file_exists("$basepath.jpg") )
    echo "<img src=\"$basepath.jpg\" class=\"images\" />";
  else if ( file_exists("$basepath.gif") )
    echo "<img src=\"$basepath.gif\" class=\"images\" />";

  // Warning: ugly hack arising!!
  else if ($recurse == 1)
  {
    $basepath = dirname($name)."/nopic";
    get_pic($basepath, 0);    
  }
}

//usage: GetFileDir($_SERVER['PHP_SELF']); 
function GetFileDir($php_self)
{
  $filename = explode("/", $php_self); // THIS WILL BREAK DOWN THE PATH INTO AN ARRAY
  for( $i = 0; $i < (count($filename) - 1); ++$i )
    {
    $filename2 .= $filename[$i].'/';
    }
  return $filename2;
}

function configpicker($cpath="config")
{
  global $currentconfignumber;
  //$currentconfignumber = trim(trim($currentconfig, "config/statsconfig"), ".php");

  $c = true;
  $cnt = 0;
  //$configlist[]= "";
  while ($c == true)
  {
    $cnt++;
    $filename = $cpath."/statsconfig".$cnt.".php";
    if (file_exists($filename)) $configlist[] = $cnt;
    else $c = false;
  }
if ($cnt > 2)
{
echo "<form name=\"configselector\" id=\"configselector\" class=\"stylepicker\"><select name=\"config\" onchange=\"XLR_configPicker('parent',this,0)\">";
  foreach ($configlist as $value)
    if ($value == $currentconfignumber)
      echo "<option value=\"$value\" selected=\"selected\">Server $value</option>";
    else
      echo "<option value=\"$value\">Server $value</option>";

echo "</select></form>";
}
}

function stylepicker()
{
  global $template;
  
  $dir = 'templates';
  $templatelist = scandir($dir);
  sort($templatelist);
  $key = array_search('.', $templatelist);
  unset($templatelist[$key]);
  $key = array_search('..', $templatelist);
  unset($templatelist[$key]);
  $key = array_search('site.png', $templatelist);
  unset($templatelist[$key]);
  $key = array_search('holidaypack', $templatelist);
  unset($templatelist[$key]);

  echo "<form name=\"stylepicker\" id=\"stylepicker\" class=\"stylepicker\"><select name=\"style\" onchange=\"XLR_stylePicker('parent',this,0)\">";
  foreach ($templatelist as $value)
    if ($value == $template)
      echo "<option selected=\"selected\">$value</option>";
    else
      echo "<option value=\"$value\">$value</option>";

echo "</select></form>";

}

function saveme()
{
  global $template;
  global $myplayerid;
  global $currentconfignumber;

  //setcookie("XLR_template", $template, time()+60*60*24*365*10); // expires in 10 years
  $cookiename = "XLR_playerid[".$currentconfignumber."]";
  setcookie($cookiename, $myplayerid, time()+60*60*24*365*10); // expires in 10 years
}

function displaysimpleheader($pop=0)
{
  $link = pathlink($pop);
  global $showclansearch;
  global $statstitle;
  global $logoheight;
  global $template;
  global $stylepicker;

  if (isset($_SESSION['template']))
    $template = $_SESSION['template'];

  $xlrpath = pathlink($pop);
  $csspath = $xlrpath . "templates/" . $template . "/style.css";

  // Lets get the holiday templates
  if (file_exists("templates/holidaypack/"))
  {
    $xlrpath = GetFileDir($_SERVER['PHP_SELF']);
    if (date("d.m") == "25.12" || date("d.m") == "26.12")
    {
      $csspath = $xlrpath . "templates/holidaypack/xmas.css";
      $template = "holidaypack";
    }
    elseif (date("d.m") == "31.12" || date("d.m") == "01.01")
    {
      $csspath = $xlrpath . "templates/holidaypack/ny.css";
      $template = "holidaypack";
    }
    elseif (date("d.m") == "31.10")
    {
      $csspath = $xlrpath . "templates/holidaypack/halloween.css";
      $template = "holidaypack";
    }
  }

  // Generate required pagecode (header)
  echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">";
  echo "<html>\n";
  echo "<head>\n";
  echo "<title>XLRstats for B3 (www.xlr8or.com)</title>\n";
  echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">\n";
  echo "<link rel=\"shortcut icon\" href=\"".$xlrpath."favicon.ico\">\n";
  echo "<style type=\"text/css\">\n";
  echo "<!--\n";
  echo "@import url(\"$csspath\");\n";
  echo "-->\n";
  echo "</style>\n";

  echo  "<script type=\"text/JavaScript\">\n";
  echo  "<!--\n";
  echo  "function XLR_reloadPage(init) {  //reloads the window if Nav4 resized\n";
  echo  "  if (init==true) with (navigator) {if ((appName==\"Netscape\")&&(parseInt(appVersion)==4)) {\n";
  echo  "    document.XLR_pgW=innerWidth; document.XLR_pgH=innerHeight; onresize=XLR_reloadPage; }}\n";
  echo  "  else if (innerWidth!=document.XLR_pgW || innerHeight!=document.XLR_pgH) location.reload();\n";
  echo  "}\n";
  echo  "XLR_reloadPage(true);\n";
  echo  "//-->\n";
  echo  "</script>\n";

  echo "</head>\n";
  echo "<body bgcolor=\"#333333\">\n";
  // Start opening the MAIN table defining general look

  echo "<div id=\"page-body\"><div class=\"page-body-img\">";
  echo "<div id=\"page-footer\"><div class=\"page-footer-img\">";

  echo "<table align=\"center\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" class=\"main\">\n";
  echo "  <tr>\n";
  echo "    <td>\n";
  // Start Logo
  
  echo "<table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\n";
  echo "  <tr align=\"top\">\n";
  echo "  <td width=\"150\"><a href=\"$link\" title=\"XLRstats HomePage\"><img src=\"".$xlrpath."templates/".$template."/logo1.png\" border=\"0\"></a></td>";
  echo "  <td width=\"100%\" colspan=\"2\"><img src=\"".$xlrpath."templates/".$template."/logo2.png\" border=\"0\"></td>";

  //echo "    <td align=\"right\" valign=\"bottom\" class=\"header\"><span class=\"title\">$statstitle</span></td>\n";
  echo "  </tr>\n";
	   
  echo "<tr height=\"40\">";
  echo "<td align=left style=\"background-image:url(".$xlrpath."templates/".$template."/logob1.png);\" width=\"150\">&nbsp;</td>";

  echo "<td align=left style=\"background-image:url(".$xlrpath."templates/".$template."/menubg.png);\" colspan=2>
			<table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td>
      <font class=\"fontNormal\" size=\"2\">
			<font style=\"font-size: 12px; font-weight: bold;\" color=\"#ffffff\">&nbsp;&nbsp;&nbsp;
    ";
  displayhomelink($pop);
  echo "</font></font></td><td align=\"right\" valign=\"baseline\">";
    echo "&nbsp;";
  echo "</td></tr></table>
  		</td>
  		
  		</td>
  	</tr>
  	<tr>
  		<td colspan=3 style=\"background-image:url(".$xlrpath."templates/".$template."/menubar.png);\"><img src=\"".$xlrpath."templates/".$template."/menubar.png\" height=\"3px\" border=0></td>
  	</tr>
  	<tr>
  	<td colspan=3>
	</td>
	</tr>


  ";

  echo "</table>\n";
}

function displayheader($pop=0)
{
  $link = pathlink($pop);
  global $showclansearch;
  global $statstitle;
  global $logoheight;
  global $template;
  global $stylepicker;

  if (isset($_SESSION['template']))
    $template = $_SESSION['template'];

  $xlrpath = pathlink($pop);
  $csspath = $xlrpath . "templates/" . $template . "/style.css";

  // Lets get the holiday templates
  if (file_exists("templates/holidaypack/"))
  {
    $xlrpath = GetFileDir($_SERVER['PHP_SELF']);
    if (date("d.m") == "25.12" || date("d.m") == "26.12")
    {
      $csspath = $xlrpath . "templates/holidaypack/xmas.css";
      $template = "holidaypack";
    }
    elseif (date("d.m") == "31.12" || date("d.m") == "01.01")
    {
      $csspath = $xlrpath . "templates/holidaypack/ny.css";
      $template = "holidaypack";
    }
    elseif (date("d.m") == "31.10")
    {
      $csspath = $xlrpath . "templates/holidaypack/halloween.css";
      $template = "holidaypack";
    }
  }

  // set up visitor counter
  counter();

  // Generate required pagecode (header)
  echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">";
  echo "<html>\n";
  echo "<head>\n";
  echo "<title>XLRstats for B3 (www.xlr8or.com)</title>\n";
  echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">\n";
  echo "<link rel=\"shortcut icon\" href=\"".$xlrpath."favicon.ico\">\n";
  echo "<style type=\"text/css\">\n";
  echo "<!--\n";
  echo "@import url(\"$csspath\");\n";
  echo "-->\n";
  echo "</style>\n";

  // We need this to be in the header for our stylepicker
  if ($stylepicker != "0")
  {
    echo  "<script type=\"text/JavaScript\">\n";
    echo  "<!--\n";
    echo  "function XLR_stylePicker(targ,selObj,restore){ //v3.0\n";
    echo  "  eval(targ+\".location='\"+\"?style=\"+selObj.options[selObj.selectedIndex].value+\"'\");\n";
    echo  "  if (restore) selObj.selectedIndex=0;\n";
    echo  "}\n";
    echo  "//-->\n";
    echo  "</script>\n";
  }

  // We need this to be in the header for our configpicker
  echo  "<script type=\"text/JavaScript\">\n";
  echo  "<!--\n";
  echo  "function XLR_configPicker(targ,selObj,restore){ //v3.0\n";
  echo  "  eval(targ+\".location='\"+\"?config=\"+selObj.options[selObj.selectedIndex].value+\"'\");\n";
  echo  "  if (restore) selObj.selectedIndex=0;\n";
  echo  "}\n";
  echo  "function XLR_reloadPage(init) {  //reloads the window if Nav4 resized\n";
  echo  "  if (init==true) with (navigator) {if ((appName==\"Netscape\")&&(parseInt(appVersion)==4)) {\n";
  echo  "    document.XLR_pgW=innerWidth; document.XLR_pgH=innerHeight; onresize=XLR_reloadPage; }}\n";
  echo  "  else if (innerWidth!=document.XLR_pgW || innerHeight!=document.XLR_pgH) location.reload();\n";
  echo  "}\n";
  echo  "XLR_reloadPage(true);\n";
  echo  "//-->\n";
  echo  "</script>\n";

  echo "</head>\n";
  echo "<body bgcolor=\"#333333\">\n";
  // Start opening the MAIN table defining general look

  echo "<div id=\"page-body\"><div class=\"page-body-img\">";
  echo "<div id=\"page-footer\"><div class=\"page-footer-img\">";

  echo "<table align=\"center\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" class=\"main\">\n";
  echo "  <tr>\n";
  echo "    <td>\n";
  // Start Logo
  
  echo "<table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\n";
  echo "  <tr align=\"top\">\n";
  echo "  <td width=\"150\"><a href=\"$link\" title=\"XLRstats HomePage\"><img src=\"".$xlrpath."templates/".$template."/logo1.png\" border=\"0\"></a></td>";
  echo "  <td width=\"100%\" colspan=\"2\"><img src=\"".$xlrpath."templates/".$template."/logo2.png\" border=\"0\"></td>";

  //echo "    <td align=\"right\" valign=\"bottom\" class=\"header\"><span class=\"title\">$statstitle</span></td>\n";
  echo "  </tr>\n";
	   
  echo "<tr height=\"40\">";
	if ($stylepicker == "left" && $template != "holidaypack")
	{
  	echo "<td valign=\"middle\" align=left style=\"background-image:url(".$xlrpath."templates/".$template."/logob1.png);\" width=\"150\">";
    stylepicker();
    echo "</td>"; 
	}
  elseif ($stylepicker == "right" && $template != "holidaypack")
  {
  	echo "<td valign=\"middle\" align=left style=\"background-image:url(".$xlrpath."templates/".$template."/logob1.png);\" width=\"150\">";
    configpicker();
    echo "</td>"; 
  }
  else
    echo "<td align=left style=\"background-image:url(".$xlrpath."templates/".$template."/logob1.png);\" width=\"150\">&nbsp;</td>";

  echo "<td align=left style=\"background-image:url(".$xlrpath."templates/".$template."/menubg.png);\" colspan=2>
			<table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td>
      <font class=\"fontNormal\" size=\"2\">
			<font style=\"font-size: 12px; font-weight: bold;\" color=\"#ffffff\">&nbsp;&nbsp;&nbsp;
    ";
  displayhomelink();
  echo "</font></font></td><td align=\"right\" valign=\"baseline\">";
  if ($stylepicker == "right" && $template != "holidaypack")
    stylepicker();
  else
    configpicker();
    //echo "&nbsp;";
  echo "</td></tr></table>
  		</td>
  		
  		</td>
  	</tr>
  	<tr>
  		<td colspan=3 style=\"background-image:url(".$xlrpath."templates/".$template."/menubar.png);\"><img src=\"".$xlrpath."templates/".$template."/menubar.png\" height=\"3px\" border=0></td>
  	</tr>
  	<tr>
  	<td colspan=3>
  		<table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">
  		<tr>
  			<td width=500 align=\"left\">
    				<form action=\"$link?func=search\" method=\"post\" class=\"aliassearch\">
  	  			<input type=\"text\" name=\"input_name\" size=\"30\" />&nbsp; <input type=\"submit\" value=\"Search\"></input>
    				<input type=\"checkbox\" name=\"aliases\" value=\"true\">Include aliases</input>
      ";

	if ($showclansearch == "1")
      echo "<input type=\"checkbox\" name=\"clansearch\" value=\"true\">Clantag</input>";
  echo "  				</form>
			</td>
			<td><div id=\"inea\"><div class=\"opis\">Powered by: </div></div>
			</td>
		</tr>
		</table>
	</td>
	</tr>


  ";

  echo "</table>\n";
}

function displayfooter()
{
  global $stylepicker;
  global $template;
  global $pageviews;
  global $total_uniques;

  echo "  	<br/>
    <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" class=\"footer\">
  	<tr class=\"footer\">
  ";
	if ($stylepicker == "footer" && $template != "holidaypack")
    echo "<td class=\"tiny\">".stylepicker()."</td>";
  else
    echo "<td class=\"tiny\">&nbsp;</td>";
  $now = date('Y');

	echo "<td class=\"tiny\" width=\"85px\"><span class=\"footer\"><a href=\"http://www.xlr8or.com\" class=\"footer\" target=\"_blank\"><img src=\"images/ico/xlr8or.png\" border=\"0\" align=\"absbottom\" title=\"Visit the creator of XLRstats\"></a></span></td>\n";
	echo "<td class=\"tiny\" width=\"85px\"><span class=\"footer\"><a href=\"http://www.bigbrotherbot.com\" class=\"footer\" target=\"_blank\"><img src=\"images/ico/b3.png\" border=\"0\" align=\"absbottom\" title=\"BigBrotherBot Automated Gameadministration\"></a></span></td>\n";
	echo "<td class=\"tiny\" width=\"20px\"><span class=\"footer\"><a href=\"reset.php\" class=\"footer\" target=\"_blank\"><img src=\"images/ico/error_delete.png\" border=\"0\" align=\"absbottom\" title=\"Getting errors? Click here to reset all cookies.\"></a></span></td>\n";
	echo "<td align=\"center\" class=\"tiny\"><span class=\"footer\">[Visitors: $total_uniques, Pageviews: $pageviews] </span></td>\n";
	echo "<td align=\"center\" class=\"tiny\"><span class=\"footer\">[Page loaded in ".pageloader_end()." seconds]</span></td>\n";
	echo "<td align=\"right\" class=\"tiny\"><span class=\"footer\">&copy; 2005-$now XLRstats by </span><a href=\"http://www.xlr8or.com/\" target=\"_blank\" class=\"footer\">www.xlr8or.com</a></td>\n";
	echo "</tr></table>\n";
	// Close the MAIN table
  echo "</td>\n";
  echo "</tr>\n";
  echo "</table>\n";
  echo "</div></div>";
  echo "</div></div>";
  echo "</body>";
  echo "</html>";
}

// This function displays a back home link.
function displayhomelink($pop=0)
{
  global $func;
  global $mysiteurl;
  global $mysitelinkname;
  global $statstitle;
  global $xlrstats_url;
  global $myplayerid;

  //$link = baselink();
  $link = pathlink($pop);
  include("inc_navigation.php");
}

// This function shows the player-signature in the function player_short()
function showsig($playerid)
{
  global $sig;
  $phpver = phpversion();
  // imagecolorallocatealpha requires 4.3.2
  if (( version_compare($phpver, "4.3.2", ">=") ) && ( function_exists('imagecreate') ) && ($sig == 1) && (file_exists("./sig/")) )
  {
    echo "<form method='post' action='sig/build.php'>";
    echo "  <p>";
    echo "    <input name='id' type='hidden' id='id' value='$playerid'>";
    echo "  </p>";
    echo "  <p>";
    echo "    <input type='submit' name='submit' value='Generate Signature'>";
    echo "</p>";
    echo "</form>";
  }
}

// This function displays the search box
function searchbox()
{
  $link = baselink();

  echo "<table width=\"100%\" height=\"60\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" class=\"outertable\"><tr><td align=\"center\">Player Search</td></tr><tr><td>";
  echo "<table width=\"100%\" height=\"60\" border=\"0\" cellspacing=\"2\" cellpadding=\"0\" class=\"innertable\">";
  echo "	<tr><td align=\"center\">";
  echo "		<form action=\"$link?func=search\" method=\"post\">";
  echo "			<input type=\"text\" name=\"input_name\" size=\"20\" />&nbsp;";
  echo "			<input type=\"submit\" value=\"Search\" />";
  echo "			<br /><input type=\"checkbox\" name=\"aliases\" value=\"true\" />Search aliases too";
  echo "		</form>";
  echo "	</td></tr></table>";
  echo "</td></tr></table>";
}

function counter()
{
  global $pageviews;
  global $total_uniques;

	$visits_file = "dynamic/pageviews.txt";
	$uniques_file = "dynamic/visits.txt";
	
	if (!file_exists($visits_file))
  {
    touch($visits_file);
    $temp = fopen($visits_file, "w");
  	fwrite($temp, 0);
  	fclose($temp);    
  }
	if (!file_exists($uniques_file))
  {
    touch($uniques_file);
    $temp = fopen($uniques_file, "w");
  	fwrite($temp, 0);
  	fclose($temp);    
  }
  $counter = fopen($visits_file, "r");
	$pageviews = fread($counter, filesize($visits_file));
	fclose($counter);
	$pageviews++;
	$counter = fopen($visits_file, "w");
	fwrite($counter, $pageviews);
	fclose($counter);

	$unique_hits = fopen($uniques_file, "r");
	$total_uniques = fread($unique_hits, filesize($uniques_file));
	if($_COOKIE["plus_unique"] != "set") {
	setcookie("plus_unique", "set", time()+2419200);
	$total_uniques++;
	}
	$uniques_hits = fopen($uniques_file, "w");
	fwrite($uniques_hits, $total_uniques);
	fclose($uniques_hits);
}

function pageloader_start()
{
  global $page_start;
  $load_time = microtime();
  $load_time = explode(' ',$load_time);
  $load_time = $load_time[1] + $load_time[0];
  $page_start = $load_time; 
}

function pageloader_end()
{
  global $page_start;
  $load_time = microtime();
  $load_time = explode(' ',$load_time);
  $load_time = $load_time[1] + $load_time[0];
  $page_end = $load_time;
  $final_time = ($page_end - $page_start);
  $page_load_time = number_format($final_time, 4, '.', '');
  return $page_load_time;
  //echo("Page generated in " . $page_load_time . " seconds"); 
}


function menubox($menuselected, $clan_name = "")
{
  global $clan_name;
  global $weaplist_max;
  global $toplist_max;
  global $maplist_max;

  $link = baselink();
  $func = "show";
  if ($clan_name != "") $func = "clan";

  echo "<table width=\"100%\" height=\"20\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" class=\"outertable\"><tr><td align=\"center\">Menu</td></tr><tr><td>";
  echo "<table width=\"100%\" height=\"40\" border=\"1\" cellspacing=\"0\" cellpadding=\"0\" class=\"innertable\">";
  echo "	<tr>";//<td align=\"center\">

  if($menuselected == 1 || $menuselected < 0 || $menuselected > 5)
    echo "		<td width=\"20%\" align=\"center\" class=\"with_border_alternate\">Top $toplist_max skill</td>";
  else 
    if (isset($clan_name))
      echo "		<td width=\"20%\" align=\"center\" class=\"with_border_alternate\"><a href=\"$link?func=$func&page=1&filter=$clan_name\">Top $toplist_max skill</a></td>";
    else
      echo "		<td width=\"20%\" align=\"center\" class=\"with_border_alternate\"><a href=\"$link?func=$func&page=1\">Top $toplist_max skill</a></td>";

  if($menuselected == 2)	
    echo "		<td width=\"20%\" align=\"center\" class=\"with_border_alternate\">Top $toplist_max kills</td>";
  else
    if (isset($clan_name))
      echo "		<td width=\"20%\" align=\"center\" class=\"with_border_alternate\"><a href=\"$link?func=$func&page=2&filter=$clan_name\">Top $toplist_max kills</a></td>";
    else
      echo "		<td width=\"20%\" align=\"center\" class=\"with_border_alternate\"><a href=\"$link?func=$func&page=2\">Top $toplist_max kills</a></td>";

  if($menuselected == 3)
    echo "		<td width=\"20%\" align=\"center\" class=\"with_border_alternate\">Top $toplist_max ratio</td>";
  else 
    if (isset($clan_name))
      echo "		<td width=\"20%\" align=\"center\" class=\"with_border_alternate\"><a href=\"$link?func=$func&page=3&filter=$clan_name\">Top $toplist_max ratio</a></td>";
    else
      echo "		<td width=\"20%\" align=\"center\" class=\"with_border_alternate\"><a href=\"$link?func=$func&page=3\">Top $toplist_max ratio</a></td>";

  if($menuselected == 4)
    echo "		<td width=\"20%\" align=\"center\" class=\"with_border_alternate\">Top $weaplist_max weapons</td>";
  else 
    if (isset($clan_name))
      echo "		<td width=\"20%\" align=\"center\" class=\"with_border_alternate\"><a href=\"$link?func=$func&page=4&filter=$clan_name\">Top $weaplist_max weapons</a></td>";
    else
      echo "		<td width=\"20%\" align=\"center\" class=\"with_border_alternate\"><a href=\"$link?func=$func&page=4\">Top $weaplist_max weapons</a></td>";

  if($menuselected == 5)
    echo "		<td width=\"20%\" align=\"center\" class=\"with_border_alternate\">Top $maplist_max maps</td>";
  else 
    if (isset($clan_name))
      echo "		<td width=\"20%\" align=\"center\" class=\"with_border_alternate\"><a href=\"$link?func=$func&page=5&filter=$clan_name\">Top $maplist_max maps</a></td>";
    else
      echo "		<td width=\"20%\" align=\"center\" class=\"with_border_alternate\"><a href=\"$link?func=$func&page=5\">Top $maplist_max maps</a></td>";

  echo "</tr></table>";
  echo "</td></tr></table>";
}


function player_activity_s($plid, $dbID = false)       
{
  global $currentconfig;
  global $currentconfignumber;
  global $coddb;
  global $t;
  $count = 0;
  $link = baselink();
  $Output = "";

  if($dbID == false)
    $Output = "<img src=\"inc_activitygraph.php?id=".$plid."&config=".$currentconfignumber."\" alt=\"\"><br>";
  else 
      $Output = "<img src=\"inc_activitygraph.php?dbid=".$plid."&config=".$currentconfignumber."\" alt=\"\"><br>";         
  
  return $Output;
}


function formatTD($td)
{
  $days = intval($td / 86400);
  $hours = intval($td / 3600);
  $minutes = intval(($td % 3600) / 60);
  $seconds = intval($td % 60);
  return $days."d:".$hours."h:".$minutes."m:".$seconds."s";
}


// Function that performs the actual search and prints a clickable list of players from the results
function do_search($name, $search_aliases=false)
{
  global $currentconfig;
  global $currentconfignumber;
  global $coddb;
  global $t;
  $count = 0;
  $link = baselink();

  $query = "SELECT ${t['b3_clients']}.name, ${t['players']}.id, ${t['players']}.fixed_name,
              ${t['players']}.hide 
              FROM ${t['b3_clients']}, ${t['players']}
              WHERE (${t['b3_clients']}.id = ${t['players']}.client_id)
              AND ( 
                      (${t['b3_clients']}.name LIKE \"%$name%\")
                  OR
                      (${t['players']}.fixed_name LIKE \"%$name%\")
                  )
              AND ${t['players']}.hide = 0";

  $result = $coddb->sql_query($query);

  opentablerow('100');
  echo "<td>Search results (current playernames)<td></tr><tr>";
  while ($row = $coddb->sql_fetchrow($result))
  {
    opentablecell('100');
    if ( $row['fixed_name'] == "")
    {
        echo "<a href=\"$link?func=player&playerid=${row['id']}\">${row['name']}</a><br/>";
        $count ++;
    }
    else if (stristr( $row['fixed_name'], $name))
    {
        echo "<a href=\"$link?func=player&playerid=${row['id']}\">${row['fixed_name']}</a><br/>";
        $count ++;
    }
    closetablecell();
    echo "</tr><tr>";
  }
  closetablerow();

  if ($search_aliases == "true")
  {
    $query = "SELECT ${t['b3_aliases']}.alias, ${t['b3_clients']}.name, ${t['players']}.id
        FROM ${t['b3_aliases']}, ${t['b3_clients']}, ${t['players']}
        WHERE (${t['b3_aliases']}.alias LIKE \"%$name%\")
        AND ${t['b3_aliases']}.client_id = ${t['b3_clients']}.id
        AND ${t['b3_clients']}.id = ${t['players']}.client_id
        AND ${t['players']}.hide = 0
        AND ${t['players']}.fixed_name = '' ";


    $result = $coddb->sql_query($query);
    if ($coddb->sql_numrows($result) > 0)
      echo "Alias results:<br/>";

    opentablerow('100');
    echo "<td>Search results (aliase -> current playername)<td></tr><tr>";
    while ($row = $coddb->sql_fetchrow($result))
    {
      opentablecell('100');
      echo "${row['alias']} -> <a href=\"$link?func=player&playerid=${row['id']}\">${row['name']}</a><br/>";
      $count ++;
      closetablecell();
      echo "</tr><tr>";
    }
    closetablerow();
  }

  return $count;
}
?>
